Get Blacklist Entry
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist/{blacklistId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"shop_id": 1,
"type": "email",
"match_type": "exact",
"value": "blocked@sellauth.test",
"payment_method_ids": null,
"reason": "Example entry",
"message": null,
"enabled": true,
"active_from": null,
"active_to": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null
}Blacklist
Get Blacklist Entry
Retrieves a specific blacklist entry.
GET
/
v1
/
shops
/
{shopId}
/
blacklist
/
{blacklistId}
Get Blacklist Entry
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Response
200 - application/json
Example:
1
Example:
1
Example:
"email"
Example:
"exact"
Example:
"blocked@sellauth.test"
Example:
null
Example:
"Example entry"
Example:
null
Example:
true
Example:
null
Example:
null
Example:
"2026-09-20T15:56:24.000000Z"
Example:
"2026-09-20T15:56:24.000000Z"
Example:
null